@import 'styles/main.scss';

.page {
  &__container {
    max-width: 1114px;
    display: flex;
    flex-direction: column;
    gap: 60px;
    align-items: center;
    margin: 0 auto;
    padding: 48px 0;
  }

  &__modeWrapper {
    width: fit-content;
    display: flex;
    background: #E7E7E7;
    border-radius: 8px;

    > * {
      width: 130px;
      height: 48px;
      padding: 0;
    }
  }

  &__coursesList {
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 100%;
  }

  &__structureColumn {
    display: flex;
    flex-direction: column;
    width: 336px;
    min-width: 240px;
    background: #fff;
    min-height: calc(100vh - 56px);

    button {
      margin-top: 16px;
      width: fit-content;
      align-self: center;
    }
  }

  &__columnTitle {
    display: flex;
    align-items: center;
    justify-content: center;
    background: #F3F3F3;
    width: 100%;
    height: 72px;
    cursor: pointer;

    font-weight: 400;
    font-size: 20px;
    line-height: 24px;
    color: #313131;

    &--white {
      background: #fff;
    }
  }

  &__levelTitle {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 400;
    font-size: 20px;
    line-height: 24px;
    color: #313131;
    padding: 16px 32px;
    text-align: center;
    cursor: pointer;

    &--active {
      background: #F3F3F3;
    }
  }

  &__lavelTitleChevron {
    position: absolute;
    top: 50%;
    right: 24px;
    transform: translateY(-50%);
  }

  &__levelTitle--opened {
    .page__lavelTitleChevron {
      transform: translateY(-50%) rotateZ(180deg);
    }
  }

  &__taskTitle {
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 400;
    font-size: 16px;
    line-height: 20px;
    background: #fff;
    color: #313131;
    padding: 16px 32px;
    text-align: center;
    cursor: pointer;

    &--active {
      background: #F3F3F3;
    }
  }

  &__courseMainColumn {
    padding: 40px 80px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
    flex: 1;
  }

  &--row {
    display: flex;
  }

  &__courseMainInfo {
    display: flex;
    gap: 80px;
    align-self: flex-start;
    flex-wrap: wrap;

    > div {
      display: flex;
      flex-direction: column;
      gap: 16px;
      min-width: 360px;
      flex-shrink: 0;
      flex-grow: 0;

      &.fill {
        flex-grow: 1;
      }
    }

    input, textarea {
      background: #fff;
    }
  }

  &__taskPuzzlesCard {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 16px;
    background: #fff;
    border: 1px solid #E7E7E7;
    border-radius: 8px;
    min-width: 500px;
  }

  &__taskPuzzlesList {
    display: flex;
    flex-direction: column;
    max-height: 400px;
    overflow-y: auto;
    margin-top: 16px;
    padding-right: 8px;
  }

  &__taskPuzzlesListItem {
    display: flex;
    gap: 21px;
    max-height: 400px;
    align-items: center;

    &:not(:last-child) {
      padding-bottom: 16px;
      border-bottom: 1px solid #E7E7E7;
      margin-bottom: 16px;
    }


    &--disabled {
      .page {
        &__taskPuzzlesListItemIcon {
          opacity: 0.5;
          pointer-events: none;
          cursor: default;
          user-select: none;
        }

        &__taskPuzzlesListItemName {
          opacity: 0.5;
          pointer-events: none;
          cursor: default;
          user-select: none;
        }

        &__taskPuzzlesListItemCountWrapper {
          opacity: 0.5;
          pointer-events: none;
          cursor: default;
          user-select: none;
        }
      }
    }
  }

  &__taskPuzzlesListItemIcon {
    display: flex;
    gap: 21px;
    min-height: 50px;
    width: auto;
    min-width: 80px;
    max-width: 140px;
  }
  &__taskPuzzlesListItemName {
    flex: 1;
  }
  &__taskPuzzlesListItemCount {
    display: block;
    max-width: 50px;

    &Wrapper {
      display: flex;
      align-items: center;
      gap: 8px;
    }

    >* {
      text-align: center;
    }
  }

  &__courseMainInfo__field {
    display: flex;
    flex-direction: column;
    gap: 8px;

    > div {
      display: flex;
      gap: 12px;
      align-items: center;

      input {
        width: 50px;
        text-align: center;
      }
    }
  }

  &__text--green {
    color: #748D60;
  }

  &__imageUploader {
    > div {
      display: block;
      padding: 16px;
    }
  }

  &__imageUploaderPlaceholder {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    width: 100%;
    padding-top: 12px;
  }

  &__toggleWrapper {
    display: flex;
    align-items: center;
    gap: 16px;
  }

  &__actions {
    display: flex;
    align-items: center;
    gap: 16px;
    align-self: flex-end;
  }

  &__preview {
    flex-grow: 0;
    flex-shrink: 1;
    max-width: 944px;
    width: calc(100vw - 380px);
  }

  &__selector {
    background: #fff;
    height: 46px;
  }

  &__taskColumn {
    position: relative;
  }

  &__chooseField {
    position: absolute;
    top: 0;
    height: 450px;
    width: 100%;
    background: #FCFCFC;
    border: 1px solid #E7E7E7;
    border-radius: 8px;
    padding: 16px;
    display: flex;
    flex-direction: column;
    align-items: center;

    > div {
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 16px;

      margin-top: 32px;
    }
  }

  &__field {
    cursor: pointer;
    &:hover {
      &::after {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background: #ffffff90;
        z-index: 1;
      }
    }

    &--active {
      &::after {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background: #ffffff90;
        border: 2px solid #748D60;
        z-index: 1;
      }
    }
  }

  &__chooseFieldItem {
    height: 90px;
    border: 2px solid #748D6000;
    border-radius: 8px;
    padding: 8px;

    &:hover {
      cursor: pointer;
    }

    &--active {
      border: 2px solid #748D60;
    }
  }

  &__createCourseModal {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    padding: 20px;
  }

  &__createCourseModalForm {
    display: flex;
    flex-direction: column;
    width: 100%;
  }
}


.modal {
  min-width: 1114px;
  padding: 48px 32px 48px;

  &__container {
    display: flex;
    justify-content: space-around;
    gap: 60px;
  }

  &__image {
    width: 340px;
    object-fit: contain;
  }

  &__infoWrapper {
    display: flex;
    flex-direction: column;
    gap: 32px;
    max-width: 600px;
  }

  &__image {
    align-self: center;
    border: 1px solid $background-dark-white;
    border-radius: 8px;
  }

  &__info {
    display: flex;
    flex-direction: column;
    gap: 4px;
    justify-content: center;
    padding: 24px 0;
    max-width: 100%;

    >* :first-child {
      margin-bottom: 4px;
    }
  }
}